Werk #5435

Komponenteomd
TitelFixed "omd update" problems when updating from 1.4.0p17 or older
Datum2017-11-13 09:50:44
Check_MK EditionCheck_MK Raw Edition (CRE)
Check_MK Version1.4.0p18,1.5.0i1
Level2 - Prominent Change
KlasseBug Fix
KompatibilitätKompatibel- benötigt keine manuelles eingreifen

When executing "omd update" as site user to update a site from 1.4.0p17 or older an error could occur blocking the update. The message looks like this:


Traceback (most recent call last):

File "/omd/versions/1.4.0p17.cee/bin/omd", line 52, in 

import tarfile, fnmatch

File "/omd/versions/1.4.0p17.cee/lib/python2.7/tarfile.py", line 52, in 

import copy

File "/omd/versions/1.4.0p17.cee/lib/python2.7/copy.py", line 52, in 

import weakref

File "/omd/versions/1.4.0p17.cee/lib/python2.7/weakref.py", line 14, in 

from _weakref import (

ImportError: cannot import name _remove_dead_weakref

This issue was caused by a mixup of python versions during the update which has been fixed now by using the correct libraries during the update.

To workaround this issue, you could run the "omd update" command as root user instead of the site user.